<?php
/**
* ChronoForms 8
* Copyright (c) 2023 ChronoEngine.com, All rights reserved.
* Author: (ChronoEngine.com Team)
* license:     GNU General Public License version 2 or later; see LICENSE.txt
* Visit http://www.ChronoEngine.com for regular updates and information.
**/
// direct access check

if(empty($this->data("table"))){
	ChronoSession::setFlash("error", "Table name is missing");
	ChronoApp::$instance->Redirect(ChronoApp::$instance->extension_url."&action=ma.tables");
}

$model = new ChronoModel();
$model->Table = $this->data("table");

if(empty($this->data("index"))){
	ChronoSession::setFlash("error", "Index name is missing");
	ChronoApp::$instance->Redirect(ChronoApp::$instance->extension_url."&action=ma.structure&table=".$this->data("table"));
}

$kname = "INDEX `".$this->data("index")."`";
if($this->data("index") == "PRIMARY"){
	$kname = "PRIMARY KEY";
}

if (ChronoApp::$instance->isPost) {
	$sql = "ALTER TABLE `".$this->data("table")."` DROP ".$kname."";

	$result = $model->Execute($sql);

	// Chrono::pr($sql);
	if ($result === true) {
		ChronoSession::setFlash("success", Chrono::l("Table updated successfully."));
		ChronoApp::$instance->Redirect(ChronoApp::$instance->extension_url."&action=ma.structure&table=".$this->data("table"));
	}else{
		ChronoSession::setFlash("error", Chrono::l("Error updating table"));
	}
}
?>

<form class="nui form" action="<?php echo ChronoApp::$instance->current_url; ?>" method="post" enctype="multipart/form-data" accept-charset="UTF-8">
<?php
require(__DIR__."/ma.menubar.php");
?>
<div class="nui segment red">
	ALTER TABLE `<?php echo ChronoApp::$instance->data("table"); ?>` DROP <?php echo $kname; ?>
</div>
</form>