<?php
/**
* ChronoForms 8
* Copyright (c) 2023 ChronoEngine.com, All rights reserved.
* Author: (ChronoEngine.com Team)
* license:     GNU General Public License version 2 or later; see LICENSE.txt
* Visit http://www.ChronoEngine.com for regular updates and information.
**/
// direct access check

if(empty($this->data("table"))){
	ChronoSession::setFlash("error", "Table name is missing");
	ChronoApp::$instance->Redirect(ChronoApp::$instance->extension_url."&action=ma.tables");
}

$model = new ChronoModel();
$model->Table = $this->data("table");

$sql = "OPTIMIZE TABLE `".$this->data("table")."`";

$result = $model->Execute($sql);

// Chrono::pr($sql);
if ($result === true) {
    ChronoSession::setFlash("success", Chrono::l("Table optimized successfully."));
    ChronoApp::$instance->Redirect(ChronoApp::$instance->extension_url."&action=ma.operations&table=".$this->data("table"));
}else{
    ChronoSession::setFlash("error", Chrono::l("Error optimizing table"));
}
?>